Bug 1547956 - Undercloud / Overcloud Heat stack fails on: YAQL list index out of range (includes upgrades cases)
Summary: Undercloud / Overcloud Heat stack fails on: YAQL list index out of range (inc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: All
OS: Unspecified
high
medium
Target Milestone: z5
: 11.0 (Ocata)
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On: 1547949 1547955
Blocks: 1547957
TreeView+ depends on / blocked
 
Reported: 2018-02-22 11:22 UTC by Sergii Golovatiuk
Modified: 2018-05-18 17:04 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.2.7-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1547955
: 1547957 (view as bug list)
Environment:
Last Closed: 2018-05-18 17:03:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1627 None None None 2018-05-18 17:04:29 UTC

Description Sergii Golovatiuk 2018-02-22 11:22:18 UTC
+++ This bug was initially created as a clone of Bug #1547955 +++

+++ This bug was initially created as a clone of Bug #1547949 +++

The latest YAQL (1.1.3-2.el7) introduces backward incompatible change which was not present in YAQL (1.1.0-3.el7) and below. In order to be able to upgrade to latest YAQL and not to break any new deployments or upgrades YAQL expression should be rewritten to version which is compatible in all YAQL versions. 

Upstream bug: https://bugs.launchpad.net/tripleo/+bug/1750032
Upstream fix: https://review.openstack.org/#/c/545856/1

Comment 11 Gurenko Alex 2018-05-13 13:18:28 UTC
Verified on puddle 2018-05-03.2

[stack@undercloud-0 ~]$ rpm -q openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-6.2.12-2.el7ost.noarch

Comment 14 errata-xmlrpc 2018-05-18 17:03:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1627


Note You need to log in before you can comment on or make changes to this bug.